<?php
/*
Plugin Name: CC - Captcha Control
Plugin URI: http://www.CaptchaControl.com
Description: Captcha Control gives you more control over your captcha's. You can use the standard Captcha text image, our handy affiliate network to make commission from using our Advertisement Captchas with unique scroll to align Captcha's or use your own Advertisements.  Shortcode: [captcha_control] Make sure to grab your API Key from http://www.captchacontrol.com 
Version: 0.1.1.2
Author: Simon Hancox - contact@captchacontrol.com
Author URI: http://www.captchacontrol.com
License: GPL2
*/

/*  Copyright 2011  Simon Hancox - http://www.simonhancox.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
?><?php

// some definition we will use
define( 'CC_PUGIN_NAME', 'Captcha Control - Unique Captcha Plugin');
define( 'CC_PLUGIN_DIRECTORY', 'captcha-control-unique-form-captcha-security');
define( 'CC_CURRENT_VERSION', '0.1.1.3' );
define( 'CC_CURRENT_BUILD', '3' );
define( 'CC_LOGPATH', str_replace('\\', '/', WP_CONTENT_DIR).'/cc-logs/');
define( 'CC_DEBUG', false);		# never use debug mode on productive systems
// i18n plugin domain for language files
define( 'EMU2_I18N_DOMAIN', 'cc' );

// how to handle log files, don't load them if you don't log
require_once('cc_logfilehandling.php');

// load language files
function cc_set_lang_file() {
	# set the language file
	$currentLocale = get_locale();
	if(!empty($currentLocale)) {
		$moFile = dirname(__FILE__) . "/lang/" . $currentLocale . ".mo";
		if (@file_exists($moFile) && is_readable($moFile)) {
			load_textdomain(EMU2_I18N_DOMAIN, $moFile);
		}

	}
}
cc_set_lang_file();

// create custom plugin settings menu
add_action( 'admin_menu', 'cc_create_menu' );
add_shortcode("captcha_control", "cc_captcha_handler");
//call register settings function
add_action( 'admin_init', 'cc_register_settings' );


register_activation_hook(__FILE__, 'cc_activate');
register_deactivation_hook(__FILE__, 'cc_deactivate');
register_uninstall_hook(__FILE__, 'cc_uninstall');

// activating the default values
function cc_activate() {
	add_option('cc_option_3', 'any_value');
}

// deactivating
function cc_deactivate() {
	// needed for proper deletion of every option
	delete_option('cc_option_3');
}

// uninstalling
function cc_uninstall() {
	# delete all data stored
	delete_option('cc_option_3');
	// delete log files and folder only if needed
	if (function_exists('cc_deleteLogFolder')) cc_deleteLogFolder();
}

function cc_create_menu() {

	// create new top-level menu
	add_menu_page( 
	__('Captcha Control', EMU2_I18N_DOMAIN),
	__('Captcha Control', EMU2_I18N_DOMAIN),
	0,
	CC_PLUGIN_DIRECTORY.'/cc_settings_page.php',
	'',
	plugins_url('/images/icon.png', __FILE__));
	
	
	add_submenu_page( 
	CC_PLUGIN_DIRECTORY.'/cc_settings_page.php',
	__("Captcha Control", EMU2_I18N_DOMAIN),
	__("Settings", EMU2_I18N_DOMAIN),
	0,
	CC_PLUGIN_DIRECTORY.'/cc_settings_page.php'
	);
	


	
	// or create sub menu page
	$parent_slug="index.php";	# For Dashboard
	#$parent_slug="edit.php";		# For Posts
	// more examples at http://codex.wordpress.org/Administration_Menus
	
}


function cc_register_settings() {
	//register settings
	register_setting( 'cc-settings-group', 'cc_custom_width' );
	register_setting( 'cc-settings-group', 'cc_custom_url' );
	register_setting( 'cc-settings-group', 'cc_custom_image' );
    register_setting( 'cc-settings-group', 'cc_api_key' );
    register_setting( 'cc-settings-group', 'cc_default_form' );
    register_setting( 'cc-settings-group', 'cc_verified_api' );
    register_setting( 'cc-settings-group', 'cc_use_custom_captcha' );
    register_setting( 'cc-settings-group', 'cc_use_normal_captcha' );
    register_setting( 'cc-settings-group', 'cc_form_send_from' );
}


function cc_captcha_handler() {
  //run function that actually does the work of the plugin
  $cc_output = cc_captcha_function();
  //send back text to replace shortcode in post
  return $cc_output;
}

function cc_captcha_function() {
  //process plugin
    $cc_url = get_option('cc_custom_url');
    $cc_width = get_option('cc_custom_width');
    $cc_image = get_option('cc_custom_image');
    $cc_default_form = get_option('cc_default_form');
    $cc_use_custom = get_option('cc_use_custom_captcha');
    $cc_api_key = get_option('cc_api_key');
    $cc_form_send_from = get_option('cc_form_send_from');
    $cc_use_normal_captcha = get_option('cc_use_normal_captcha');
    require('./wp-content/plugins/'.CC_PLUGIN_DIRECTORY.'/inc/nusoap.php'); 
    include('./wp-content/plugins/'.CC_PLUGIN_DIRECTORY.'/inc/functions.php');
	$data = $cc_url . "|" .	$cc_width . "|" . $cc_image . "|" . $cc_default_form . "|" . $cc_use_custom."|".$cc_use_normal_captcha; 

	if($cc_use_normal_captcha == on){
		session_start();
		$_SESSION = array();
		
		$_SESSION['captcha'] = captcha();
		
		$img = $_SESSION['captcha']['image_src'];
		$code = $_SESSION['captcha']['code'];
		$data .= "|".$code;
	}	
	$content = "<form method='post' action='/wp-content/plugins/".CC_PLUGIN_DIRECTORY."/mail-settings.php' id='cc_form'>";
	$content .= verifyCaptchaSC($cc_api_key,$data);
	if($cc_use_normal_captcha == on){
				$url = '' . $_SESSION['captcha']['image_src'];	
				$content .= '<div class=\'contact\'><br/><span><label style="width:145px;"></label><img src="' . $url . '" alt="CAPTCHA" /></span><br/><span><label>Enter the Captcha Code</label>
	<input class="captchain" type="text" value="" name="captcha"/></span> <input style="display:none;" hidden type="text" value="'.$_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"].'" name="redir_url"/> <input type="submit" class="cc_captcha_button"  value="Submit" />
	    </div><input type="text" name="sendfrom" value="'.$cc_form_send_from.'" hidden /></form>';
			
		}else{
			$content .= "<input type=\"text\" name=\"sendfrom\" value=\"".$cc_form_send_from."\" hidden /></form>";
		}
			
    return $content;
  

}
// check if debug is activated
function cc_debug() {
	# only run debug on localhost
	if ($_SERVER["HTTP_HOST"]=="localhost" && defined('EPS_DEBUG') && EPS_DEBUG==true) return true;
}
?>
